Bug 850733 - webadmin: If the storage domain is inactive, you cannot see the connection details
webadmin: If the storage domain is inactive, you cannot see the connection de...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
unspecified
x86_64 Linux
high Severity high
: ---
: 3.1.0
Assigned To: Daniel Erez
Dafna Ron
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 05:20 EDT by Dafna Ron
Modified: 2016-02-10 12:20 EST (History)
8 users (show)

See Also:
Fixed In Version: SI17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:08:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2012-08-22 05:20:04 EDT
Description of problem:

the only way to view what server a SD is on is by pressing the edit tab on the domain. 
when the SD is inactive in iscsi storage we cannot see the connection details. 
therefore we cannot find out which storage server a domain
belongs to. 

Version-Release number of selected component (if applicable):

si15

How reproducible:

100%

Steps to Reproduce:
1. add an iscsi storage domain and leave it in "inactive" 
2. 
3.
  
Actual results:

there is no information on the storage in webadmin. 
you cannot press the edit button to view any of the information since we do not want any editing done to the domain while its inactive. 

Expected results:

we have this information saved in the db. so we can present it in the UI even when the domain is inactive. 

Additional info:
Comment 4 Daniel Erez 2012-08-29 14:15:37 EDT
patch sent upstream:
http://gerrit.ovirt.org/#/c/7592/
Comment 5 Allon Mureinik 2012-09-02 06:34:11 EDT
merged change id I2bfe64fe10ebe1ddbdd5d8df475b176db5cd9794
Comment 6 Dafna Ron 2012-09-06 04:51:45 EDT
verified on si17

Note You need to log in before you can comment on or make changes to this bug.